Involved Roles
Involved roles define the roles that parties can play in activities (e.g., decision maker, influencer, end user).
Use the Datastore_InvolvedRole endpoint to query involved roles.
Endpoints
List Involved Roles
GET
/v1/odata/Datastore_InvolvedRoleSingle Involved Role
GET
/v1/odata/Datastore_InvolvedRole({id})Fields
Datastore Fields (inherited)
| Field | Type | Description |
|---|---|---|
Name | String | Display name |
Code | String | Unique code identifier |
LocalizedName | String | Localized display name |
IsDefault | Boolean | Whether this is the default value |
Relationships
| Relationship | Target Entity | Cardinality | Description |
|---|---|---|---|
| Involved | Involved | 1:N | Involved |
Expanding Relationships
GET
/v1/odata/Datastore_InvolvedRole({id})?$expand=InvolvedNavigating Relationships
GET
/v1/odata/Datastore_InvolvedRole({id})/InvolvedFiltering Examples
GET
/v1/odata/Datastore_InvolvedRole?$filter=Name eq '{Name}'&$top={top}GET
/v1/odata/Datastore_InvolvedRole?$filter=contains(Name, '{Name}')&$top={top}GET
/v1/odata/Datastore_InvolvedRole?$filter=Code eq '{Code}'&$top={top}GET
/v1/odata/Datastore_InvolvedRole?$filter=IsDefault eq {IsDefault}&$top={top}